Subject: Re: bug#57039: `make check' yields two failed tests.

From: Maxime Devos <[email-masked]>
Date: Tue, 9 Aug 2022 16:50:07 +0200

On 09-08-2022 15:50, Ludovic Courtès wrote:

> ;;; (fail (package (name "python-foo") (version "1.0.0") (source (origin (method url-fetch) (uri (pypi-uri "foo" version)) (sha256 (base32 "03ygiww1c9fdgs998x4rqhxa73gq0r30rp0vq50q022wp1d6w0cz")))) (build-system python-build-system) (propagated-inputs (list python-wrong)) (home-page"http://example.com") (synopsis "summary") (description "summary") (license license:lgpl2.0)) #f)
> test-name: pypi->guix-package, wheels
> location: /home/phf/src/guix/tests/pypi.scm:276
> source:
> + (test-assert

I think I've seen this one fail before in the past, but 
non-deterministically, IIRC

> Not sure about that one.  Does it still occur on current ‘master’?

It's a recent bug number and the submitter wrote they did "git checkout 
..." and "git pull", so it looks like this happened on a current 
master.  Looking at git.savannah.gnu.org there haven't been changes in 
this area, so I would think it's still effectively current master.

Greetings,
Maxime.